https://api.nexscope.ai/kd/shop/detailRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/kd/shop/detail |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
shopId | string | required | TikTok store unique ID (string, to avoid loss of large integer precision), such as `7495514739648989419`, usually `shop_id` from the list |
category_id | string | optional | Category ID, which can further limit the returned category dimensions |
region | string | optional | Region/market code, such as `US`; maximum length 1000 |
dateRange | string | optional | Time range, such as `last7Day`, `last30Day`; maximum length 1000 |
language | string | optional | Return language, such as `zh-CN`, `en-US`; maximum length 1000 |
currency | string | optional | Currency unit, such as `USD`; maximum length 1000 |
Code example
{
"currency": "USD",
"dateRange": "last7Day",
"region": "US",
"shopId": "7495514739648989419"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (18 fields)
| Name | Type | Required | Description |
|---|---|---|---|
errcode | integer | optional | Business status code, `200` indicates success |
data | array | optional | Store details data, fixed to 1 element array when successful |
costToken | integer | optional | The deduction token for this call is fixed to `14000` |
errmsg | string | optional | Status message, `ok` on success |
shop_id | string | optional | Store unique ID (string, to avoid loss of large integer precision) |
shop_name | string | optional | Store name |
seller_type | string | optional | Store/seller type, such as `BRAND`; use `seller_type` for details, not `shop_type` |
region | string | optional | Region/market such as `US` |
revenue | number | optional | Total sales/GMV by requested `currency` currency |
sales_volumn | integer | optional | Sales volume, field spelled `volumn` |
product_number | integer | optional | Number of items on sale |
unit_price | number | optional | Unit price in requested `currency` currency |
self_account_revenue | number | optional | Self-operated/self-broadcast self-promoted sales; use `self_account_revenue` for details |
affiliate_revenue | number | optional | Master Distribution Sales |
shoppingmall_revenue | number | optional | Mall sales; there is no underscore between `shopping` and `mall` in the detail field name |
creator_number | integer | optional | Number of collaborations with experts |
video_number | integer | optional | Number of associated videos |
live_number | integer | optional | Number of associated live broadcasts |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.